org.apache.sysds.runtime.iogen

## Class MatrixGenerateReader.MatrixReaderRowRegularColRegular

- java.lang.Object
- - org.apache.sysds.runtime.io.MatrixReader
  - - org.apache.sysds.runtime.iogen.MatrixGenerateReader
    - - org.apache.sysds.runtime.iogen.MatrixGenerateReader.MatrixReaderRowRegularColRegular

Enclosing class:
  MatrixGenerateReader

    public static class MatrixGenerateReader.MatrixReaderRowRegularColRegular
    extends MatrixGenerateReader

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.iogen.MatrixGenerateReader

`MatrixGenerateReader.MatrixReaderRowIrregular, MatrixGenerateReader.MatrixReaderRowRegularColIrregular, MatrixGenerateReader.MatrixReaderRowRegularColRegular`

### Constructor Summary

Constructors
Constructor and Description
`MatrixReaderRowRegularColRegular(CustomProperties _props)`

### Method Summary

### Methods inherited from class org.apache.sysds.runtime.iogen.MatrixGenerateReader

`readMatrixFromHDFS, readMatrixFromInputStream`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MatrixReaderRowRegularColRegular

    public MatrixReaderRowRegularColRegular(CustomProperties _props)